﻿
function PlayerZone_SetupSlider(self, text, myMin, myMax, step)
	getglobal(self:GetName().."Text"):SetText(text);
	getglobal(self:GetName().."Low"):SetText(myMin);
	getglobal(self:GetName().."High"):SetText(myMax);
	self:SetMinMaxValues(myMin, myMax);
	self:SetValueStep(step)
end

function PlayerZone_Options_Init()
	showCB:SetChecked(PlayerZone_Options.show);
	lockCB:SetChecked(PlayerZone_Options.lock);
	tooltipCB:SetChecked(PlayerZone_Options.tooltip);
	worldmapCB:SetChecked(PlayerZone_Options.worldmap);
	pluginCB:SetChecked(PlayerZone_Options.plugin);
	levelWMCB:SetChecked(PlayerZone_Options.showLM);
	alphaSlider:SetValue(PlayerZone_Options.alpha);
	redSlider:SetValue(PlayerZone_Options.red);
	greenSlider:SetValue(PlayerZone_Options.green);
	blueSlider:SetValue(PlayerZone_Options.blue);
	positionSlider:SetValue(PlayerZone_Options.position);
	PlayerZonePlugin_Update();
end

function PlayerZone_Disable()
	if ( not PlayerZone_Options.disable ) then
		PlayerZone_Message(PLAYERZONE_DISABLE);
		DisableAddOn("PlayerZone");
		ReloadUI();
	end
end

function PlayerZoneDisable_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_OPTIONS_DISABLE);
		GameTooltip:Show();
	end
end

function PlayerZoneCommands_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_COMMANDS);
		GameTooltip:Show();
	end
end

function PlayerZoneMapLevel_Toggle()
		PlayerZone_Options.showLM = not PlayerZone_Options.showLM
		InfoZone_OnUpdate()			
end

function PlayerZoneDefault_OnEnter(self)
	if ( PlayerZone_Options.tooltip ) then
		GameTooltip_SetDefaultAnchor(GameTooltip, self);
		GameTooltip:AddLine(PLAYERZONE_DEFAULT);
		GameTooltip:Show();
	end
end

function PlayerZone_DefaultOptions()
	PlayerZone_Options = {
	show = true,
	lock = false,
	tooltip = true,
	worldmap = true,
	plugin = true,
	alpha = 1,
	red = 1,
	green = 1,
	blue = 1,
	disable = false,
	showLM = true,
	position = 1,
};
	PlayerZone_Options_Init();
end

function PlayerZonePlugin_Update()

			PlayerZoneButtonFrame:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (78 * cos(PlayerZone_Options.position)),
		(78 * sin(PlayerZone_Options.position)) - 55
	);
end

function PZCFrame_Toggle()

	if ( PZ_Disable_Confirm_Frame:IsShown() ) then
		return
	else
		PZ_Disable_Confirm_Frame:Show()
		PZ_Options_Frame:Hide()
	end
end
